Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Jan 2022 14:25:34 +0100

Eli Zaretskii <[email-masked]> writes:

> I don't understand this stubborn opposition to provide better, more
> general APIs to our users.

I'm for making functions with well-defined interfaces.

> textsec.el is not an application, it is infrastructure applications
> should use to provide user-level features.  So any application-level
> decisions, like at what level to detect suspicious addresses, is not
> textsec's bloody business to make!

I don't understand what you mean.  It's just because the textsec
functions are well-defined that application-level packages can use it
reliably.  textsec isn't making any decisions about levels -- that's up
to the callers.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no